import { JSONSchemaType } from "@golemio/core/dist/shared/ajv";
import { IAppStoreInputDto } from "./interfaces/IAppStoreInputDto";

export const appStoreDtoSchema: JSONSchemaType<IAppStoreInputDto[]> = {
    type: "array",
    items: {
        type: "object",
        properties: {
            "Apple Identifier": { type: "string" },
            "Begin Date": { type: "string" },
            CMB: { type: "string" },
            Category: { type: "string" },
            Client: { type: "string" },
            "Country Code": { type: "string" },
            "Currency of Proceeds": { type: "string" },
            "Customer Currency": { type: "string" },
            "Customer Price": { type: "string" },
            Developer: { type: "string" },
            "Developer Proceeds": { type: "string" },
            Device: { type: "string" },
            "End Date": { type: "string" },
            "Order Type": { type: "string" },
            "Parent Identifier": { type: "string" },
            Period: { type: "string" },
            "Preserved Pricing": { type: "string" },
            "Proceeds Reason": { type: "string" },
            "Product Type Identifier": { type: "string" },
            "Promo Code": { type: "string" },
            Provider: { type: "string" },
            "Provider Country": { type: "string" },
            SKU: { type: "string" },
            Subscription: { type: "string" },
            "Supported Platforms": { type: "string" },
            Title: { type: "string" },
            Units: { type: "string" },
            Version: { type: "string" },
        },
        required: ["SKU", "Title", "Units", "Version"],
    },
};
